Description

Script foreman-installer fails when launched on CentOS 8 Stream.

Error is:

ERROR ] [configure] Evaluation Error: Error while evaluating a Function Call, No preferred version defined or automatically

detected. (file: /usr/share/foreman-installer/modules/postgresql/manifests/globals.pp, line: 231, column: 5) on node XXXX

 A look at the script help find the problem: the script can't determine the kind of Linux used and therefore can't set an appropriate

postgresql version to install.

Workaround: temporarily replacing the following files with CentOS 8 versions allows successful installation.

system-release

redhat-release

os-release

It leaves hope for a not too painful adaptation to CentOS 8 Stream.

Related issues:

Is duplicate of Installer - Bug #31527: foreman-installer fails to configure ... New

History

#1 - 01/11/2021 07:24 AM - Lukas Zapletal

- Project changed from Foreman to Installer

- Triaged changed from No to Yes

Hello, EL8 is not yet supported, including CentOS8 Stream.

#2 - 01/11/2021 07:50 AM - Lukas Zapletal

Correction, EL8 is already supported it's just Stream probably what does not work: https://theforeman.org/manuals/2.3/index.html#2.Quickstart

#3 - 01/11/2021 10:16 AM - Ewoud Kohl van Wijngaarden

- Is duplicate of Bug #31527: foreman-installer fails to configure Postgres on CentOS Stream 8 added

#4 - 01/11/2021 10:17 AM - Ewoud Kohl van Wijngaarden

- Status changed from New to Duplicate

#31527 has more info, including links to patches.

#5 - 01/11/2021 10:39 AM - Stephane Mouton

Ouch, my bad: sorry for the duplicate.
https://theforeman.org/manuals/2.3/index.html#2.Quickstart
https://projects.theforeman.org/issues/31527


#6 - 01/11/2021 11:11 AM - Ewoud Kohl van Wijngaarden

No worries, it's good to know there is demand for this.

#7 - 02/05/2021 10:09 PM - Subhendu Ghosh

Looking for the Centos 8 Stream installer fix as well

#8 - 02/05/2021 11:41 PM - Ewoud Kohl van Wijngaarden

Please don't react on this bug anymore. It's a duplicate of #31527. 

https://community.theforeman.org/t/running-foreman-on-centos-8-stream-support/21948 is also a place better suited for discussion than a bug tracker.
